#ifndef _STDPJS_H
#define _STDPJS_H
typedef unsigned size_t;
typedef unsigned char uchar;
typedef struct   {
        int      level;
        unsigned flags;
        char     fd;
        uchar    hold;
        int      bsize;
        uchar    *buffer;
        uchar    *curp;
        unsigned istemp;
        short    token;
}       FILE;
extern "C" {
void   clrscr   (void);
int    cprintf  (const char*, ...);
void   exit     (int __status);
int    fclose   (FILE *__stream);
int    feof     (FILE*);
int    ferror   (FILE*);
FILE   *fopen   (const char *__path, const char *__mode);
int    fprintf  (FILE*, const char*, ...);
size_t fread    (void*, size_t, size_t, FILE*);
void   free     (void*);
int    fseek    (FILE*, long, int);
long   ftell    (FILE*);
size_t fwrite   (const void*, size_t, size_t, FILE*);
char   getch    (void);
void   *malloc  (size_t __size);
int    printf   (const char *__format, ...);
int    rand     (void);
void   rewind   (FILE*);
void   srand    (unsigned __seed);
long   time     (long *);
}
inline int  random    (int __num) { return (int) (((long) rand() * __num)
                                    / (0x7fffu+1)); }
inline void randomize (void)      { srand ((unsigned) time(0)); }
#endif
